import React, { useContext } from "react";
import classnames from "classnames";
import ConfigProviderContext from "../config-provider/ConfigProviderContext";
const SwiperItem = (props) => {
  const {
    prefixCls,
    createNamespace
  } = useContext(ConfigProviderContext);
  const [bem] = createNamespace("swiper-item", prefixCls);
  return /* @__PURE__ */ React.createElement("div", {
    className: classnames(props.className, bem()),
    onClick: props.onClick,
    style: props.style
  }, props.children);
};
var stdin_default = SwiperItem;
export {
  stdin_default as default
};
